Subject: bug#8736: chmod -p --parents

From: Jim Meyering <[email-masked]>
Date: Thu, 23 Feb 2012 20:40:21 +0100

Jérémy Compostella wrote:
> OK, I understand. My answers to both questions:
>
> 1. why not do it some other way?
>
> First, it is very convenient to do it that way because it is very simple
> and it is more consistent with other commands that already provide it:
>
> $ mkdir -p a/b/c d/e
> $ chmod g+w -p a/b/c d/e
>
> IMHO, the way like the one you propose misses the consistency point.
>
> Don't misunderstand me, I don't want to force a new feature if someone
> has a pertinent argument to oppose to. But this one has already been
> proposed by other people and I really think it is worth to have it too.

When a small bash/perl/python script can provide the same functionality,
that means the proposed feature requires more justification.

By your arguments, chown, chgrp and chcon should also support this new option.
Sorry, but "consistency" and "convenience" are not sufficient, here.
It's just as convenient to use a small script on those rare occasions
that one requires this behavior.

Sorry to reject the idea, but if we were to accept new options too easily
many of the coreutils programs would be larger and harder to maintain,
for relatively little added value.  Part of our job as maintainers is
to ensure that each new feature really is well justified.

> 2. Is this too specialized to merit an option?
>
> I don't think so. This option already exists for other commands like
> `mkdir' and `cp' to deserve the same purpose.